Package org.fife.ui.rsyntaxtextarea

## Class AbstractJFlexTokenMaker

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.TokenMakerBase
  - - org.fife.ui.rsyntaxtextarea.AbstractJFlexTokenMaker

- All Implemented Interfaces:
    `TokenMaker`
  Direct Known Subclasses:
    `AbstractJFlexCTokenMaker`, `AbstractMarkupTokenMaker`, `AssemblerX86TokenMaker`, `ClojureTokenMaker`, `DelphiTokenMaker`, `DtdTokenMaker`, `FortranTokenMaker`, `HtaccessTokenMaker`, `JsonTokenMaker`, `LatexTokenMaker`, `LispTokenMaker`, `LuaTokenMaker`, `MakefileTokenMaker`, `PlainTextTokenMaker`, `PropertiesFileTokenMaker`, `PythonTokenMaker`, `RubyTokenMaker`, `SASTokenMaker`, `SQLTokenMaker`, `VisualBasicTokenMaker`

      public abstract class AbstractJFlexTokenMaker
      extends TokenMakerBase

  Base class for JFlex-generated token makers. This class attempts to factor out all common code from these classes. Many methods almost could be factored out into this class, but cannot because they reference JFlex variables that we cannot access from this class.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `offsetShift` |
    `protected Segment` | `s` |
    `protected int` | `start` |

    - ### Fields inherited from class org.fife.ui.rsyntaxtextarea.TokenMakerBase

      `currentToken, firstToken, previousToken`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractJFlexTokenMaker()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `yybegin​(int newState)` | Declared here so we can define overloads that refer to this method.
    `protected void` | `yybegin​(int state, int languageIndex)` | Starts a new JFlex state and changes the current language index.

    - ### Methods inherited from class org.fife.ui.rsyntaxtextarea.TokenMakerBase

      `addNullToken, addToken, addToken, addToken, createOccurrenceMarker, getClosestStandardTokenTypeForInternalType, getCurlyBracesDenoteCodeBlocks, getInsertBreakAction, getLanguageIndex, getLastTokenTypeOnLine, getLineCommentStartAndEnd, getMarkOccurrencesOfTokenType, getOccurrenceMarker, getShouldIndentNextLineAfter, isIdentifierChar, isMarkupLanguage, resetTokenList, setLanguageIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.fife.ui.rsyntaxtextarea.TokenMaker

      `getTokenList`

- - ### Field Detail

    - #### s

          protected Segment s

    - #### start

          protected int start

    - #### offsetShift

          protected int offsetShift

  - ### Constructor Detail

    - #### AbstractJFlexTokenMaker

          public AbstractJFlexTokenMaker()

  - ### Method Detail

    - #### yybegin

          public abstract void yybegin​(int newState)

      Declared here so we can define overloads that refer to this method.
      Parameters:
        `newState` - The new JFlex state to enter.

    - #### yybegin

          protected void yybegin​(int state,
                                 int languageIndex)

      Starts a new JFlex state and changes the current language index.
      Parameters:
        `state` - The new JFlex state to enter.
        `languageIndex` - The new language index.